import { expect, tap } from '@push.rocks/tapbundle';
import path = require('path');

// module to test
import * as npmextra from '../ts/index.js';

interface ITestOptions {
  hi: string;
  deep: {
    deep1: string;
    deep2: string;
  };
}

let testAppdata: npmextra.AppData<ITestOptions>;

tap.test('should create a valid AppData', async () => {
  testAppdata = new npmextra.AppData<ITestOptions>({
    envMapping: {
      deep: {
        deep1: '',
      },
    },
  });
});

export default tap.start();
